/* application source */
var canvas = document.getElementById("skeletonsCanvas");
var context = canvas.getContext("2d");

function getSkeletons(jsonObject) {
	
  if (context == null) {
      return;
  }
  
  context.clearRect(0, 0, canvas.width, canvas.height);

  for (var i = 0; i < jsonObject.skeletons.length; i++) {
	
    var headZ = 0;
    var hipZ = 0;

    for (var j = 0; j < jsonObject.skeletons[i].joints.length; j++) 
    {
      var joint = jsonObject.skeletons[i].joints[j];
      
      // Draw!!!
      context.fillStyle = "#FF0000";
      context.beginPath();
      context.arc(joint.x, joint.y, 10, 0, Math.PI * 2, true);
      context.closePath();
      context.fill();

      //sample code per body point
      //if(joint.name == 'handright')
      //{
        //do something...
      //}
      
      //http://www.codeproject.com/KB/dotnet/KinectGettingStarted/7.png
      //------------------------
      //[0] handright
      //[1] elbowright
      //[2] shoulderright
      //[3] handleft
      //[4] elbowleft
      //[5] shoulderleft
      //[6] head
      //[7] spineneck
      //[8] spinecenter
      //[9] hipcenter
      //[10] kneeleft
      //[11] kneeright
      //[12] ankleleft
      //[13] ankleright 
      
     }
	}
}

              
function msgFromArduino(value){
	console.debug('From Arduino: ' + value);
}

function next() {
  	$('#eventMsg').html("Next!");
	console.debug('Next!');  
}

function prior() {
  	$('#eventMsg').html("Prior!");  
	console.debug('Prior');
}

function grip() {
  
$.get('http://192.168.1.121/blue.act', function(responseText) {
    //setEventMsg("Door Open... :)");
   });  
    $('#eventMsg').html("Grip!");
	console.debug('Grip!');  
}

function release() {
  	$('#eventMsg').html("Release!");  
	console.debug('Release');
}

function noUser(){
  	$('#eventMsg').html("No User :(");  
  	console.debug('No User :(');  
}

function newUser() {
  	$('#eventMsg').html("New User :)");  
  	console.debug('New User :)'); 
  
   $.get('http://192.168.1.121/blue.act?msg=hola2', function(responseText) {
    //setEventMsg("Door Open... :)");
   });
  
}

function changeHandNone() {
  	$('#eventMsg').html("Change Hand None!");
  	console.debug('Hand None');  
}

function changeHandRight() {
  	$('#eventMsg').html("Change to Right Hand!");  
  	console.debug('Hand Right');  
}

function changeHandLeft() {
  	$('#eventMsg').html("Change to Left Hand!");
  	console.debug('Hand Left');  
}